## proftpd-dfsg 1.3.7c+dfsg

=== debian/changelog ===
proftpd-dfsg (1.3.7c+dfsg-1ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: out of bound read causes daemon crash
    - d/p/CVE-2023-51713.patch: skip parsing quote backslash sequence
    - CVE-2023-51713
  * SECURITY UPDATE: privilege escalation due to missing group checks
    - d/p/CVE-2024-48651.patch: only set group for daemon to primary gid
    - CVE-2024-48651

 -- Sudhakar Verma <sudhakar.verma@canonical.com>  Wed, 05 Feb 2025 19:23:13 +0530

proftpd-dfsg (1.3.7c+dfsg-1build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Fri, 03 Dec 2021 14:35:22 +0100

proftpd-dfsg (1.3.7c+dfsg-1) unstable; urgency=medium

  * New upstream release, contains fix for issue #1284
    (Closes: #993173).
  * Lintian override. proftpd-core: systemd-service-file-outside-lib
  * Remove d/proftpd-substvars from git, it is a generated file.
  * d/control is upgraded from d/control.in in post hook of
    gbp import-orig.
  * debian/watch does not search for rc versions.

 -- Hilmar Preusse <hille42@web.de>  Sun, 19 Sep 2021 00:00:13 +0200

proftpd-dfsg (1.3.7b+dfsg-2) unstable; urgency=medium

  [ Hilmar Preusse ]
  * Forgot to bump abi version (needs to be done manually).
  * Updated to Standards-Version 4.6.0, no changes needed.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Update renamed lintian tag names in lintian overrides.
  * Remove constraints unnecessary since buster:
    + proftpd-core: Drop versioned constraint on debianutils, netbase, sed and
      ucf in Depends.

 -- Hilmar Preusse <hille42@web.de>  Tue, 24 Aug 2021 09:09:55 +0200
