## proftpd-dfsg 1.3.7d+dfsg

=== debian/changelog ===
proftpd-dfsg (1.3.7d+dfsg-2) unstable; urgency=medium

  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Patch for Issue 1448 - Ensure that mod_sftp algorithms work properly with
    OpenSSL 3.x.
  * Backport of fix for Issue #1445 to the 1.3.7 branch.

 -- Hilmar Preusse <hille42@web.de>  Tue, 24 May 2022 20:57:34 +0200

proftpd-dfsg (1.3.7d+dfsg-1) unstable; urgency=medium

  [ Hilmar Preusse ]
  * New upstream release.
  * Lintian:
    - Remove override, "systemd-service-file-outside-lib".
    - I: systemd-service-file-missing-documentation-key
    - Rules-Requires-Root: binary
    - More small stuff
  * Fix syntax values in proftpd.conf example (Closes: #1002467)
  * Add $OPTIONS to ExecStartPre statements in
    proftpd-core.proftpd.service (Closes: #1010302).

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libmemcached-dev.
    + proftpd-core: Drop versioned constraint on libpam-runtime and lsb-base in
      Depends.

 -- Hilmar Preusse <hille42@web.de>  Wed, 04 May 2022 21:35:10 +0200
