=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: proftpd-dfsg
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: ProFTPD Maintainance Team <pkg-proftpd-maintainers@alioth-lists.debian.net>
+Maintainer: ProFTPD Maintainance Team <pkg-proftpd-maintainers@alioth-lists.debian.net>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
            Hilmar Preusse <hille42@web.de>
 Standards-Version: 4.6.0
-Build-Depends: debhelper-compat (=13),
+Build-Depends: debhelper-compat (= 13),
                dh-exec,
                libacl1-dev,
                libcap-dev [linux-any],
@@ -22,11 +21,12 @@
                unixodbc-dev,
                zlib1g-dev,
                libgeoip-dev,
-               libmemcached-dev (>= 0.41),
+               libmemcached-dev,
                libhiredis-dev,
                libsodium-dev,
                libmd-dev
 Homepage: http://www.proftpd.org/
+Rules-Requires-Root: binary
 Vcs-Browser: https://salsa.debian.org/debian-proftpd-team/proftpd
 Vcs-Git: https://salsa.debian.org/debian-proftpd-team/proftpd.git
 
@@ -34,16 +34,16 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: adduser,
-         libpam-runtime (>= 0.76-13.1),
+         libpam-runtime,
          netbase,
          ucf,
-         lsb-base (>= 3.0-6),
+         lsb-base,
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: ftp-server, proftpd-mod-dnsbl
 Breaks: proftpd (<< 1.3.2)
 Replaces: proftpd (<< 1.3.2), proftpd-mod-dnsbl
-Provides: ftp-server, proftpd, proftpd-abi-1.3.7c, proftpd-mod-dnsbl
+Provides: ftp-server, proftpd, proftpd-abi-1.3.7d, proftpd-mod-dnsbl
 Suggests: openbsd-inetd | inet-superserver,
           openssl,
           proftpd-mod-ldap,
@@ -279,3 +279,7 @@
  .
  This module is contained in the contrib/mod_wrap.c file for ProFTPD 1.2+. It
  enables the daemon to use the common tcpwrappers access control library while
+ in standalone mode, and in a very configurable manner.
+
+Package: proftpd-basic
+Architecture: all
