## proftpd-dfsg 1.3.8+dfsg

=== debian/changelog ===
proftpd-dfsg (1.3.8+dfsg-4) unstable; urgency=medium

  * Correct Umask entry in commented section (Closes: #1006011).
  * Enable upstreams test suite (partially) as autopkg test.

 -- Hilmar Preusse <hille42@web.de>  Tue, 14 Mar 2023 10:16:31 +0100

proftpd-dfsg (1.3.8+dfsg-3) unstable; urgency=medium

  [ Jörn-Thorben Hinz ]
  * Drop dependency on the obsolete and empty lsb-base
  * Correctly use Rules-Requires-Root

  * Remove obsolete patches.
  * Copy new patches from upstream:
    - fix loading of rewrite module: upstream_1592.diff (Closes: #1032424).
    - upstream_bug_1568.diff: Build-time detection of Linux POSIX ACL support
      broken
    - upstream_bug_1581.diff: mod_sftp fails to handle SFTP requests to
      truncate files to zero size
    - upstream_bug_1584.diff: mod_sftp improperly handles SFTP WRITE requests
      for files opened for appending
    - upstream_bug_1597.diff: <Class> section is allowed to be in <Global>,
      but From directive is not

 -- Hilmar Preusse <hille42@web.de>  Mon, 06 Mar 2023 21:13:28 +0100

proftpd-dfsg (1.3.8+dfsg-2) unstable; urgency=low

  * Upload to unstable.
  * Disable patch for Bug-Debian: #965077. Has been replaced by
    "SQLAuthTypes SHA1".
  * Disable patch wrong-path-for-interpreter_perl.diff: #!/usr/bin/perl
    is not a must condition any more.
  * Remove surplus lintian override.

 -- Hilmar Preusse <hille42@web.de>  Thu, 15 Dec 2022 22:47:50 +0100

proftpd-dfsg (1.3.8+dfsg-1) experimental; urgency=medium

  New upstream release; disable (upstreamed) / refresh patches.

  * Replace (deprecated) pcre3 by pcre2 (Closes: #999980).
  * Add libidn2-dev to Build Depends.

 -- Hilmar Preusse <hille42@web.de>  Mon, 05 Dec 2022 21:41:18 +0100

proftpd-dfsg (1.3.7d+dfsg-3) unstable; urgency=medium

  * Replace B-D:
    * libldap2-dev => libldap-dev
    * libncurses5-dev => libncurses-dev
  * Add Lintian Override: proftpd-dfsg source: source-is-missing
  * Replace the hand written code to enable/start standalone proftpd by
    dh_installsystemd provided snippets. This hopefully (Closes: #991266).

 -- Hilmar Preusse <hille42@web.de>  Wed, 09 Nov 2022 07:59:11 +0100
