=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                dh-exec,
                libacl1-dev,
                libcap-dev [linux-any],
-               libldap2-dev,
+               libldap-dev,
                default-libmysqlclient-dev,
-               libncurses5-dev,
+               libncurses-dev,
                libpam-dev,
-               libpcre3-dev,
+               libpcre2-dev,
                libpq-dev,
                libsqlite3-dev,
                libssl-dev,
@@ -24,9 +24,10 @@
                libmemcached-dev,
                libhiredis-dev,
                libsodium-dev,
-               libmd-dev
+               libmd-dev,
+               libidn2-dev
 Homepage: http://www.proftpd.org/
-Rules-Requires-Root: binary
+Rules-Requires-Root: binary-targets
 Vcs-Browser: https://salsa.debian.org/debian-proftpd-team/proftpd
 Vcs-Git: https://salsa.debian.org/debian-proftpd-team/proftpd.git
 
@@ -37,13 +38,12 @@
          libpam-runtime,
          netbase,
          ucf,
-         lsb-base,
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: ftp-server, proftpd-mod-dnsbl
 Breaks: proftpd (<< 1.3.2)
 Replaces: proftpd (<< 1.3.2), proftpd-mod-dnsbl
-Provides: ftp-server, proftpd, proftpd-abi-1.3.7d, proftpd-mod-dnsbl
+Provides: ftp-server, proftpd, proftpd-abi-1.3.8, proftpd-mod-dnsbl
 Suggests: openbsd-inetd | inet-superserver,
           openssl,
           proftpd-mod-ldap,
@@ -74,7 +74,7 @@
 Package: proftpd-dev
 Architecture: any
 Depends: libacl1-dev,
-         libpcre3-dev,
+         libpcre2-dev,
          libssl-dev,
          libtool,
          libtool-bin,
