=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,6 @@
 VERSION=$(shell grep PROFTPD_VERSION_TEXT $(CURDIR)/include/version.h|cut -d\" -f2)
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-
-export DEB_GAIN_ROOT_CMD=fakeroot
 
 # Some special build options
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
@@ -45,7 +43,7 @@
 	     --with-includes=$(shell pg_config --includedir)$(shell mysql_config --include|sed -e 's/-I/:/g'|sed -e 's/ //') \
 	     --mandir=/usr/share/man --sysconfdir=/etc/$(NAME) --localstatedir=/run --libexecdir=/usr/lib/$(NAME) \
 	     --enable-sendfile --enable-facl --enable-dso --enable-autoshadow --enable-ctrls --enable-openssl \
-	     --enable-ipv6 --enable-nls --enable-memcache --with-lastlog=/var/log/lastlog --enable-pcre $(DEVELOPT) \
+	     --enable-ipv6 --enable-nls --enable-memcache --with-lastlog=/var/log/lastlog --enable-pcre2 $(DEVELOPT) \
 	     --disable-strip --enable-redis $(BUILDNOTXATTR)
 
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
@@ -76,7 +74,7 @@
 	dh_auto_build
 
 override_dh_auto_install:
-	$(DEB_GAIN_ROOT_CMD) dh_auto_install
+	dh_auto_install
 	rm -f $(CURDIR)/debian/tmp/usr/sbin/in.proftpd
 
 override_dh_auto_clean:
@@ -95,8 +93,8 @@
 	dh_installinit --name=$(NAME)
 
 override_dh_installsystemd:
-	dh_installsystemd -p$(PACKAGE) --name=$(NAME) --no-enable --no-start $(NAME).socket
-	dh_installsystemd -p$(PACKAGE) --name=$(NAME)@ --no-enable --no-start $(NAME)@.service
-	dh_installsystemd -p$(PACKAGE) --name=$(NAME) --no-enable --no-start $(NAME).service
+	dh_installsystemd -p$(PACKAGE) --name=$(NAME) $(NAME).socket
+	dh_installsystemd -p$(PACKAGE) --name=$(NAME)@ $(NAME)@.service
+	dh_installsystemd -p$(PACKAGE) --name=$(NAME) $(NAME).service
 
 .PHONY: debian/proftpd-substvars debian/control
