## proftpd-dfsg 1.3.8.b+dfsg

=== debian/changelog ===
proftpd-dfsg (1.3.8.b+dfsg-1ubuntu0.1) noble-security; urgency=medium

  * SECURITY UPDATE: privilege escalation due to missing group checks
    - d/p/CVE-2024-48651.patch: only set group for daemon to primary gid
    - CVE-2024-48651
  * Add libnsl-dev to BD (LP: #2097503).

 -- Sudhakar Verma <sudhakar.verma@canonical.com>  Thu, 06 Feb 2025 13:30:37 +0530

proftpd-dfsg (1.3.8.b+dfsg-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:40:43 +1100

proftpd-dfsg (1.3.8.b+dfsg-1build2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:05:06 +0000

proftpd-dfsg (1.3.8.b+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libhiredis1.1.0

 -- Dan Bungert <daniel.bungert@canonical.com>  Wed, 24 Jan 2024 08:29:04 -0700

proftpd-dfsg (1.3.8.b+dfsg-1) unstable; urgency=high

  * New upstream release. Contains bug fix for CVE-2023-48795.
    (Closes: #1059144)

 -- Hilmar Preusse <hille42@web.de>  Wed, 20 Dec 2023 13:31:27 +0000

proftpd-dfsg (1.3.8.a+dfsg-1) unstable; urgency=medium

  * New upstream minor release; disable patches, we got from upstream.
  * Change package version to 1.3.8.a to avoid issues w/ version comparing.
    Document that in d/README.source.
  * "gbp pull" should pull pristine-tar branch too.

 -- Hilmar Preusse <hille42@web.de>  Tue, 14 Nov 2023 19:51:11 +0100

proftpd-dfsg (1.3.8+dfsg-8) unstable; urgency=medium

  * Added a Provides of the obsolete proftpd-basic pkg to preserve back-compatibility
    in naming.
  * Source only upload for migrating to testing.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 02 Jul 2023 12:56:40 +0200

proftpd-dfsg (1.3.8+dfsg-7) unstable; urgency=medium

  * Partially reverted changes in -6. The new proftpd-run.service has been
    dropped in favour of what seems the simplest approach. 
  * Revised NEWS/README files to reflect changes.
  * Removed now obsolete Breaks/Conflicts hints in d/control.in.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 26 Jun 2023 16:31:13 +0200

proftpd-dfsg (1.3.8+dfsg-6) unstable; urgency=medium

  * Added a postrm to force stop of systemd units at remove time. This is due
    because the new way of installing service/socket now does not trigger stopping 
    at remove time. 
  * Updated the README.Debian file to reflect changes in service management.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 22 Jun 2023 08:26:48 +0200

proftpd-dfsg (1.3.8+dfsg-5) unstable; urgency=medium

  [ Hilmar Preusse ]
  * Run just "make check-api" in test suite instead of patching
    test Makefile.

  [ Francesco Paolo Lovergine ]
  * Replaced deprecated which command in postinst/rm.
  * Stripped obsolete proftpd-basic virtual package (Closes: #1038311).
  * Policy bumped to 4.6.2. No changes required.
  * Introduced a new systemd service to start the main socket/service 
    on the basis of the proftpd.conf configuration (standalone/inetd).
    (Closes: #1038416)
  * Added an entry to NEWS file to explain the change in unit files.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 21 Jun 2023 11:41:27 +0200
