=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: proftpd-dfsg
 Section: net
 Priority: optional
-Maintainer: ProFTPD Maintainance Team <pkg-proftpd-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: ProFTPD Maintainance Team <pkg-proftpd-maintainers@alioth-lists.debian.net>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
            Hilmar Preusse <hille42@web.de>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                libacl1-dev,
@@ -12,6 +13,7 @@
                libldap-dev,
                default-libmysqlclient-dev,
                libncurses-dev,
+               libnsl-dev,
                libpam-dev,
                libpcre2-dev,
                libpq-dev,
@@ -40,10 +42,8 @@
          ucf,
          ${misc:Depends},
          ${shlibs:Depends}
-Conflicts: ftp-server, proftpd-mod-dnsbl
-Breaks: proftpd (<< 1.3.2)
-Replaces: proftpd (<< 1.3.2), proftpd-mod-dnsbl
-Provides: ftp-server, proftpd, proftpd-abi-1.3.8, proftpd-mod-dnsbl
+Conflicts: ftp-server
+Provides: ftp-server, proftpd, proftpd-basic, proftpd-abi-1.3.8b
 Suggests: openbsd-inetd | inet-superserver,
           openssl,
           proftpd-mod-ldap,
@@ -240,8 +240,6 @@
 Architecture: any
 Depends: proftpd-core (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Enhances: proftpd-core
-Breaks: proftpd-basic (<= 1.3.7a+dfsg-3~), proftpd-core (<= 1.3.7a+dfsg-3~)
-Replaces: proftpd-basic (<= 1.3.7a+dfsg-3~), proftpd-core (<= 1.3.7a+dfsg-3~)
 Description: Versatile, virtual-hosting FTP daemon - TLS/SSL/SFTP modules
  ProFTPD is a powerful modular FTP/SFTP/FTPS server. This File Transfer
  Protocol daemon supports also hidden directories, virtual hosts, and
@@ -264,8 +262,6 @@
 Architecture: any
 Depends: proftpd-core (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Enhances: proftpd-core
-Breaks: proftpd-basic (<= 1.3.7a-3~)
-Replaces: proftpd-basic (<= 1.3.7a-3~)
 Description: Versatile, virtual-hosting FTP daemon - tcpwrapper module
  ProFTPD is a powerful modular FTP/SFTP/FTPS server. This File Transfer
  Protocol daemon supports also hidden directories, virtual hosts, and
@@ -281,5 +277,3 @@
  enables the daemon to use the common tcpwrappers access control library while
  in standalone mode, and in a very configurable manner.
 
-Package: proftpd-basic
-Architecture: all
