=== debian/rules ===
--- 
+++ 
@@ -93,7 +93,7 @@
 	dh_installinit --name=$(NAME)
 
 override_dh_installsystemd:
-	dh_installsystemd -p$(PACKAGE) --name=$(NAME) $(NAME).socket
+	dh_installsystemd -p$(PACKAGE) --no-enable --no-start --name=$(NAME) $(NAME).socket
 	dh_installsystemd -p$(PACKAGE) --name=$(NAME)@ $(NAME)@.service
 	dh_installsystemd -p$(PACKAGE) --name=$(NAME) $(NAME).service
