## proftpd-dfsg 1.3.8.c%2Bdfsg

=== debian/changelog ===
proftpd-dfsg (1.3.8.c+dfsg-2) unstable; urgency=medium

  * Apply post-release patches (issue #1866)
    CVE-2024-57392.

 -- Hilmar Preuße <hille42@debian.org>  Tue, 04 Mar 2025 22:52:50 +0100

proftpd-dfsg (1.3.8.c+dfsg-1) unstable; urgency=medium

  * New upstream patch release: refresh / disable patches.
  * Bump Standards version, no changes needed.
  * A few lintian things.

 -- Hilmar Preuße <hille42@debian.org>  Fri, 13 Dec 2024 22:41:26 +0100

proftpd-dfsg (1.3.8.b+dfsg-4) unstable; urgency=high

  * Patch for issue Issue #1830 (Closes: #1082326).
    Supplemental Group Inheritance Grants Unintended Access to GID 0
    (CVE-2024-48651)
  * Disable netaddr_get_addr_test test for now; it fails on risc64.

 -- Hilmar Preuße <hille42@debian.org>  Fri, 15 Nov 2024 20:17:36 +0100

proftpd-dfsg (1.3.8.b+dfsg-3) unstable; urgency=medium

  * Patches:
    - Fetch pubkey from certificate before extracting its
      parameters (upstream #1769)
    - configure: Use char ** for the iconv input argument
      (upstream #1754). This fixes execution of upstreams test
      suite.
  * Add mod_delay, mod_ls, mod_xfer to the list of core modules.

  [ Sergio Durigan Junior ]
  * d/t/test-suite: Add workaround to fix LP: #2071468.

  [ Francesco Paolo Lovergine ]
  * Since 1:2.5.2-2 the libattr1 indirect (via libacl1) dependency
    dropped the obsolete attr/xattr.h header which is still #included
    by proftpd -dev headers. This upload will automagically fix this
    issue that causes FTBS. (closes: #1086251)

 -- Hilmar Preuße <hille42@debian.org>  Sun, 03 Nov 2024 00:08:18 +0100

proftpd-dfsg (1.3.8.b+dfsg-2) unstable; urgency=medium

  * Add libnsl-dev to BD (Closes: #1066117).
  * Reorganize/Update d/copyright.
  * Lintian: E: proftpd-dev: depends-on-obsolete-package
  * Add DEP-3 header to patches, remove obsolete patch.

 -- Hilmar Preusse <hille42@web.de>  Wed, 13 Mar 2024 09:48:15 +0100
