## proftpd-dfsg 1.3.8.c+dfsg

=== debian/changelog ===
proftpd-dfsg (1.3.8.c+dfsg-4+deb13u1) trixie; urgency=medium

  [ Evgeni Golov <evgeni@debian.org> ]
  * Do not remove non-empty /srv/ftp upon purge (Closes: #1119295).

 -- Hilmar Preuße <hille42@debian.org>  Sun, 09 Nov 2025 14:49:42 +0100

proftpd-dfsg (1.3.8.c+dfsg-4) unstable; urgency=medium

  * Add code to proftp postinst to force mod_ls.c & mod_xfer.c into
    modules.conf in case of upgrades (Closes: #1103981).
  * Ftpstats references wrong file in logrotate config (Closes: #1104536).

 -- Hilmar Preuße <hille42@debian.org>  Thu, 01 May 2025 23:14:44 +0200

proftpd-dfsg (1.3.8.c+dfsg-3) unstable; urgency=high

  * Load modules mod_delay.c, mod_ls.c & mod_xfer.c in modules.conf,
    else proftp won't start using default/sample configuration
    (Closes: #1103154).

 -- Hilmar Preuße <hille42@debian.org>  Sat, 19 Apr 2025 11:20:43 +0200
