=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: proftpd-dfsg
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: ProFTPD Maintainance Team <pkg-proftpd-maintainers@alioth-lists.debian.net>
+Maintainer: ProFTPD Maintainance Team <pkg-proftpd-maintainers@alioth-lists.debian.net>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
-           Hilmar Preusse <hille42@web.de>
-Standards-Version: 4.6.2
+           Hilmar Preuße <hille42@debian.org>
+Standards-Version: 4.7.0
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                libacl1-dev,
                libcap-dev [linux-any],
                libldap-dev,
                default-libmysqlclient-dev,
+               libnsl-dev,
                libncurses-dev,
-               libnsl-dev,
                libpam-dev,
                libpcre2-dev,
                libpq-dev,
@@ -43,7 +42,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: ftp-server
-Provides: ftp-server, proftpd, proftpd-basic, proftpd-abi-1.3.8b
+Provides: ftp-server, proftpd, proftpd-basic, proftpd-abi-1.3.8c
 Suggests: openbsd-inetd | inet-superserver,
           openssl,
           proftpd-mod-ldap,
@@ -81,7 +80,7 @@
          proftpd-core (=${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: pkg-config
+Suggests: pkgconf
 Description: Versatile, virtual-hosting FTP daemon - development files
  ProFTPD is a powerful modular FTP/SFTP/FTPS server. This File Transfer
  Protocol daemon supports also hidden directories, virtual hosts, and
@@ -276,4 +275,3 @@
  This module is contained in the contrib/mod_wrap.c file for ProFTPD 1.2+. It
  enables the daemon to use the common tcpwrappers access control library while
  in standalone mode, and in a very configurable manner.
-
