=== debian/tests/control ===
Tests: test-suite
Depends: @builddeps@,
	check,
	libtest-unit-perl,
	libnet-address-ip-local-perl,
	libnet-inet6glue-perl,
	libnet-telnet-perl,
	libhttp-message-perl,
	redis-server
Restrictions: allow-stderr
