## proftpd-dfsg 1.3.9~dfsg

=== debian/changelog ===
proftpd-dfsg (1.3.9~dfsg-3) unstable; urgency=medium

  * Set SHELL & CONFIG_SHELL in d/rules to make build reproducible.
  * Add patch from upstream to fix build failure on HURD.
  * Remove obsolete patches.
  * Remove openssl-provider-fips from B-D, for setting up FIPS this
    is not sufficient.
  * Add libidn-dev to B-D.
  * Bump Standards version, no changes needed.
  * Lintian override: dfsg-version-with-tilde

 -- Hilmar Preuße <hille42@debian.org>  Tue, 09 Sep 2025 00:00:14 +0200

proftpd-dfsg (1.3.9~dfsg-2) unstable; urgency=medium

  * Upload to unstable.

  [ Lucas Kanashiro <kanashiro@debian.org> ]
  * Add a regression test for SFTP connections.

  * Add code to proftp postinst to force mod_ls.c & mod_xfer.c into
    modules.conf in case of upgrades.
  * Load modules mod_delay.c, mod_ls.c & mod_xfer.c in modules.conf,
    else proftp won't start using default/sample configuration.

  * Add "libcrypt-dev" to Build-Depends (Closes: #1107050).
  * Add patch for Issue #1886: Fix the handling of SCP target paths
    that might contain spaces.
  * Ftpstats references wrong file in logrotate config (Closes: #1104536).

 -- Hilmar Preuße <hille42@debian.org>  Fri, 15 Aug 2025 14:20:02 +0200

proftpd-dfsg (1.3.9~dfsg-1) experimental; urgency=medium

  * New upstream version.
    - Refresh / Disable patches.
    - Do not install docs, which do not exist any more.
    - Can be built using gcc-15 (Closes: #1097654).
  * Add openssl-provider-fips to B-D.

 -- Hilmar Preuße <hille42@debian.org>  Sun, 16 Mar 2025 12:19:02 +0100
