=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 PACKAGE_DEV=proftpd-dev
 NAME=proftpd
 VERSION=$(shell grep PROFTPD_VERSION_TEXT $(CURDIR)/include/version.h|cut -d\" -f2)
+
+# Make build reproducible
+export SHELL=/bin/bash
+export CONFIG_SHELL=/bin/bash
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
