=== debian/tests/control ===
--- 
+++ 
@@ -8,3 +8,7 @@
 	libhttp-message-perl,
 	redis-server
 Restrictions: allow-stderr
+
+Tests: sftp-connection
+Depends: @, adduser, openssh-client, openssh-server
+Restrictions: allow-stderr, needs-root, isolation-machine
