=== debian/watch ===
version=4
opts="repack,compression=gz,repacksuffix=~dfsg,dversionmangle=s/\~dfsg//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
pgpsigurlmangle=s@archive/refs/tags@releases/download@;\
s@v([^\/]+)\.tar\.gz@v$1/proftpd-$1\.tar\.gz@;\
s/$/.asc/" \
  https://github.com/proftpd/proftpd/tags .*/v?(\d\.\d\.\d[a-z]?)\.tar\.gz
